## org.w3c.jigsaw.ssi.commands
Class BasicCommandRegistry

    java.lang.Object
      |
      +--org.w3c.jigsaw.ssi.commands.CommandRegistry
            |
            +--org.w3c.jigsaw.ssi.commands.BasicCommandRegistry

Direct Known Subclasses:
  DefaultCommandRegistry

public class BasicCommandRegistry
extends CommandRegistry

An implementation of CommandRegistry that uses a hash table to store the commands.

See Also:
  Serialized Form

Constructor Summary
`BasicCommandRegistry()`

Method Summary
`protected Command` | `getDebugWrapperCommand(Command cmd)`
`java.util.Dictionary` | `initVariables(SSIFrame ssiframe, Request request, java.util.Dictionary variables)`
`Command` | `lookupCommand(java.lang.String name)`
`void` | `registerCommand(Command cmd)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicCommandRegistry

    public BasicCommandRegistry()

Method Detail

### registerCommand

    public void registerCommand(Command cmd)

### getDebugWrapperCommand

    protected Command getDebugWrapperCommand(Command cmd)

### lookupCommand

    public Command lookupCommand(java.lang.String name)

  Overrides:
    lookupCommand in class CommandRegistry

### initVariables

    public java.util.Dictionary initVariables(SSIFrame ssiframe,
                                              Request request,
                                              java.util.Dictionary variables)

  Overrides:
    initVariables in class CommandRegistry